typedef unsigned char   undefined;

typedef unsigned char    byte;
typedef unsigned int    dword;
typedef long long    longlong;
typedef unsigned long    qword;
typedef unsigned char    uchar;
typedef unsigned int    uint;
typedef unsigned long    ulong;
typedef unsigned char    undefined1;
typedef unsigned int    undefined4;
typedef unsigned long    undefined8;
typedef struct thread_state_hdr thread_state_hdr, *Pthread_state_hdr;

struct thread_state_hdr {
    dword flavor;
    dword count;
};

typedef struct message_ref message_ref, *Pmessage_ref;

struct message_ref {
    void * imp;
    char * sel;
};

typedef struct cfstringStruct cfstringStruct, *PcfstringStruct;

struct cfstringStruct {
    qword field_0x0;
    qword field_0x8;
    pointer field_0x10;
    long field_0x18;
};

typedef struct __program_vars __program_vars, *P__program_vars;

struct __program_vars {
    void * mh; // pointer to __mh_execute_header
    qword * NXArgcPtr; // pointer to argc
    char * * * NXArgvPtr; // pointer to argv
    char * * * environPtr; // pointer to environment
    char * * __prognamePtr; // pointer to program name
};

typedef struct __sFILEX __sFILEX, *P__sFILEX;

struct __sFILEX {
};

typedef struct __sbuf __sbuf, *P__sbuf;

struct __sbuf {
    uchar * _base;
    int _size;
};

typedef struct __sFILE __sFILE, *P__sFILE;

typedef longlong __int64_t;

typedef __int64_t __darwin_off_t;

typedef __darwin_off_t fpos_t;

typedef struct __sFILE FILE;

struct __sFILE {
    uchar * _p;
    int _r;
    int _w;
    short _flags;
    short _file;
    struct __sbuf _bf;
    int _lbfsize;
    void * _cookie;
    int (* _close)(void *);
    int (* _read)(void *, char *, int);
    fpos_t (* _seek)(void *, fpos_t, int);
    int (* _write)(void *, char *, int);
    struct __sbuf _ub;
    struct __sFILEX * _extra;
    int _ur;
    uchar _ubuf[3];
    uchar _nbuf[1];
    struct __sbuf _lb;
    int _blksize;
    fpos_t _offset;
};

typedef int __int32_t;

typedef ulong __darwin_size_t;

typedef __int32_t __darwin_pid_t;

typedef struct basic_ostream<char,std--char_traits<char>> basic_ostream<char,std--char_traits<char>>, *Pbasic_ostream<char,std--char_traits<char>>;

struct basic_ostream<char,std--char_traits<char>> { // PlaceHolder Class Structure
};

typedef struct Init Init, *PInit;

struct Init { // PlaceHolder Class Structure
};

typedef struct objc_image_info objc_image_info, *Pobjc_image_info;

struct objc_image_info {
    dword version;
    dword flags;
};

typedef __darwin_size_t size_t;

typedef struct __CFDictionary __CFDictionary, *P__CFDictionary;

struct __CFDictionary { // PlaceHolder Structure
};

typedef struct __CFArray __CFArray, *P__CFArray;

struct __CFArray { // PlaceHolder Structure
};

typedef struct __CFString __CFString, *P__CFString;

struct __CFString { // PlaceHolder Structure
};

typedef struct basic_ostream basic_ostream, *Pbasic_ostream;

struct basic_ostream { // PlaceHolder Structure
};

typedef struct uuid_command uuid_command, *Puuid_command;

struct uuid_command {
    dword cmd;
    dword cmdsize;
    byte uuid[16];
};

typedef struct lc_str lc_str, *Plc_str;

struct lc_str {
    dword offset;
};

typedef struct thread_command thread_command, *Pthread_command;

typedef struct x86_THREAD_STATE64 x86_THREAD_STATE64, *Px86_THREAD_STATE64;

struct x86_THREAD_STATE64 {
    qword rax;
    qword rbx;
    qword cx;
    qword rdx;
    qword rdi;
    qword rsi;
    qword rbp;
    qword rsp;
    qword r8;
    qword r9;
    qword r10;
    qword r11;
    qword r12;
    qword r13;
    qword r14;
    qword r15;
    qword rip;
    qword rflags;
    qword cs;
    qword fs;
    qword gs;
};

struct thread_command {
    dword cmd;
    dword cmdsize;
    struct thread_state_hdr threadStateHeader;
    struct x86_THREAD_STATE64 threadState;
};

typedef struct dyld_info_command dyld_info_command, *Pdyld_info_command;

struct dyld_info_command {
    dword cmd;
    dword cmdsize;
    dword rebase_off;
    dword rebase_size;
    dword bind_off;
    dword bind_size;
    dword weak_bind_off;
    dword weak_bind_size;
    dword lazy_bind_off;
    dword lazy_bind_size;
    dword export_off;
    dword export_size;
};

typedef struct section section, *Psection;

struct section {
    char sectname[16];
    char segname[16];
    qword addr;
    qword size;
    dword offset;
    dword align;
    dword reloff;
    dword nrelocs;
    dword flags;
    dword reserved1;
    dword reserved2;
    dword reserved3;
};

typedef struct segment_command segment_command, *Psegment_command;

struct segment_command {
    dword cmd;
    dword cmdsize;
    char segname[16];
    qword vmaddr;
    qword vmsize;
    qword fileoff;
    qword filesize;
    dword maxprot;
    dword initprot;
    dword nsects;
    dword flags;
};

typedef struct mach_header mach_header, *Pmach_header;

struct mach_header {
    dword magic;
    dword cputype;
    dword cpusubtype;
    dword filetype;
    dword ncmds;
    dword sizeofcmds;
    dword flags;
    dword reserved;
};

typedef struct dylinker_command dylinker_command, *Pdylinker_command;

struct dylinker_command {
    dword cmd;
    dword cmdsize;
    struct lc_str name;
};

typedef struct dylib dylib, *Pdylib;

struct dylib {
    struct lc_str name;
    dword timestamp;
    dword current_version;
    dword compatibility_version;
};

typedef struct dysymtab_command dysymtab_command, *Pdysymtab_command;

struct dysymtab_command {
    dword cmd;
    dword cmdsize;
    dword ilocalsym;
    dword nlocalsym;
    dword iextdefsym;
    dword nextdefsym;
    dword iundefsym;
    dword nundefsym;
    dword tocoff;
    dword ntoc;
    dword modtaboff;
    dword nmodtab;
    dword extrefsymoff;
    dword nextrefsyms;
    dword indirectsymoff;
    dword nindirectsyms;
    dword extreloff;
    dword nextrel;
    dword locreloff;
    dword nlocrel;
};

typedef struct dylib_command dylib_command, *Pdylib_command;

struct dylib_command {
    dword cmd;
    dword cmdsize;
    struct dylib dylib;
};

typedef struct symtab_command symtab_command, *Psymtab_command;

struct symtab_command {
    dword cmd;
    dword cmdsize;
    dword symoff;
    dword nsyms;
    dword stroff;
    dword strsize;
};

typedef struct version_min_command version_min_command, *Pversion_min_command;

struct version_min_command {
    dword cmd;
    dword cmdsize;
    dword version;
    dword sdk;
};

typedef struct linkedit_data_command linkedit_data_command, *Plinkedit_data_command;

struct linkedit_data_command {
    dword cmd;
    dword cmdsize;
    dword dataoff;
    dword datasize;
};

typedef __darwin_pid_t pid_t;




void entry(void)

{
  int iVar1;
  long *plVar2;
  int in_stack_00000000;
  
  plVar2 = (long *)(&stack0x00000008 + (ulong)(uint)((in_stack_00000000 + 1) * 8));
  while (*plVar2 != 0) {
    plVar2 = plVar2 + 1;
  }
  iVar1 = _main();
                    // WARNING: Subroutine does not return
  _exit(iVar1);
}



ulong _main(int iParm1,char **ppcParm2)

{
  int iVar1;
  uint uVar2;
  char *pcVar3;
  undefined8 uVar4;
  char local_148 [271];
  char local_39;
  char *local_38;
  char local_2c;
  char local_2b;
  char local_2a;
  char local_29;
  int local_28;
  uint local_24;
  char **local_20;
  int local_18;
  undefined4 local_14;
  long local_10;
  
  local_10 = *(long *)___stack_chk_guard;
  local_14 = 0;
  local_24 = 0;
  local_29 = '\0';
  local_2a = '\0';
  local_2b = '\0';
  local_2c = '\0';
  local_20 = ppcParm2;
  local_18 = iParm1;
  _StartUp();
  pcVar3 = (char *)PassSlashes(*local_20);
  _strcpy(&_gToolName,pcVar3);
  _gDirectoryName = 0;
  _gExcludeList = 0;
  _gTestList = 0;
  do {
    while( true ) {
      iVar1 = _getopt(local_18,(char *)local_20,"e:hlLo:rRsSt:TvVx");
      local_39 = (char)iVar1;
      if (local_39 == -1) {
        if ((local_29 != '\0') ||
           (((*(int *)_optind == local_18 && (local_2a == '\0')) && (local_2c == '\0')))) {
          pcVar3 = (char *)PassSlashes(*local_20);
          DoHelp(pcVar3);
        }
        if (local_2a != '\0') {
          pcVar3 = (char *)PassSlashes(*local_20);
          DoVersion(pcVar3);
        }
        if (local_2c != '\0') {
          ListTests();
        }
        local_28 = *(int *)_optind;
        while (local_24 == 0 && local_28 < local_18) {
          local_24 = DoProcess(local_20[(long)local_28]);
          if (local_24 == 1) {
            uVar4 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
                              (__ZSt4cerr,"##### ERROR:  Aborting after failure to process ");
            uVar4 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
                              (uVar4,local_20[(long)local_28]);
            __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar4,".\n");
          }
          local_28 = local_28 + 1;
        }
        if (local_2b != '\0') {
          _fclose(_gOutput);
        }
        _ShutDown();
        if (_gRunLeaks != '\0') {
          uVar2 = _getpid();
          _sprintf(local_148,"/usr/bin/leaks %d",(ulong)uVar2);
          _system(local_148);
        }
        do {
        } while (_gRunForever != '\0');
        if (*(long *)___stack_chk_guard != local_10) {
                    // WARNING: Subroutine does not return
          ___stack_chk_fail();
        }
        return (ulong)local_24;
      }
      iVar1 = (int)local_39;
      if (iVar1 < 0x65) break;
      switch(iVar1) {
      case 0x65:
        _strcpy(&_gExcludeList,*(char **)_optarg);
        break;
      default:
switchD_100000dfc_caseD_66:
        uVar4 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
                          (__ZSt4cerr,"#### ERROR:  Unknown option: ");
        uVar4 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c
                          (uVar4,(ulong)(uint)(int)local_39);
        __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar4,"\n");
        local_24 = 1;
        break;
      case 0x68:
        local_29 = '\x01';
        break;
      case 0x6c:
        local_2c = '\x01';
        break;
      case 0x6f:
        local_38 = *(char **)_optarg;
        _gOutput = _fopen(local_38,"w");
        if (_gOutput == (FILE *)0x0) {
          uVar4 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
                            (__ZSt4cerr,"##### ERROR:  Could not open output file \"");
          uVar4 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar4,local_38);
          __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar4,"\".\n");
          local_24 = 1;
        }
        else {
          local_2b = '\x01';
        }
        break;
      case 0x72:
        _gFullReport = 1;
        break;
      case 0x73:
        _gUseSandbox = 1;
        break;
      case 0x74:
        _strcpy(&_gTestList,*(char **)_optarg);
        break;
      case 0x76:
        _gVerbose = 1;
        break;
      case 0x78:
        _gForceExecution = 1;
      }
    }
    switch(iVar1) {
    case 0x4c:
      _gRunLeaks = '\x01';
      break;
    default:
      goto switchD_100000dfc_caseD_66;
    case 0x52:
      _gRunForever = 1;
      break;
    case 0x53:
      _gSummaryReport = 1;
      break;
    case 0x54:
      _gTableReport = 1;
      break;
    case 0x56:
      local_2a = '\x01';
    }
  } while( true );
}



// PassSlashes(char const*)

char * PassSlashes(char *param_1)

{
  char *local_20;
  char *local_18;
  
  local_20 = param_1;
  local_18 = param_1;
  while (*local_20 != '\0') {
    if (*local_20 == '/') {
      local_18 = local_20 + 1;
    }
    local_20 = local_20 + 1;
  }
  return local_18;
}



// DoHelp(char const*)

void DoHelp(char *param_1)

{
  undefined *puVar1;
  undefined8 uVar2;
  
  puVar1 = __ZSt4cout;
  DoVersion(param_1);
  uVar2 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(puVar1,"Usage:  ");
  uVar2 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar2,param_1);
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (uVar2," [-hlrSTvV] [-t testList] [-o outputfile] fontfile\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(puVar1,"Options:\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t-e An optional list of tests to exclude\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(puVar1,"\t-h Output this message\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(puVar1,"\t-l List available tests\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,
             "\t-o An optional output file for test results; stdout is used if this parameter is not specified\n"
            );
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(puVar1,"\t-r Generate a full report\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t-S Generate a summary report\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t-t The tests to execute.  Valid inputs are:\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t\t\"all\", execute all tests,\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t\t\"core\", execute the core test set,\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t\t\"default\", execute the default test set,\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t\tor a list of font test types, separated by commas,\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t\tor a list of test identifiers, separated by commas`\t\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t-T Generate a tabular report\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t-v Verbose operation, additional data is output to stderr\n");
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
            (puVar1,"\t-V Output the tool\'s version to stdout\n");
  return;
}



// DoVersion(char const*)

void DoVersion(char *param_1)

{
  undefined8 uVar1;
  
  uVar1 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(__ZSt4cout,param_1);
  uVar1 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar1,", build ");
  uVar1 = __ZNSolsEi(uVar1,200);
  __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar1,"\n");
  return;
}



// WARNING: Unknown calling convention yet parameter storage is locked
// ListTests()

void ListTests(void)

{
  undefined *puVar1;
  undefined *puVar2;
  undefined *puVar3;
  undefined *puVar4;
  char cVar5;
  long lVar6;
  undefined8 uVar7;
  long lVar8;
  undefined8 uVar9;
  undefined8 uVar10;
  undefined8 extraout_RDX;
  undefined8 extraout_RDX_00;
  undefined8 extraout_RDX_01;
  undefined8 extraout_RDX_02;
  long local_430;
  undefined local_418 [1032];
  long local_10;
  
  local_10 = *(long *)___stack_chk_guard;
  lVar6 = _CFArrayCreateMutable(*(undefined8 *)_kCFAllocatorDefault,5,_kCFTypeArrayCallBacks);
  puVar4 = _kATSFontTestUnexpectedValueTest;
  puVar3 = _kATSFontTestStructureTest;
  puVar2 = _kATSFontTestSpecificationTest;
  puVar1 = _kATSFontTestConsistencyTest;
  if (lVar6 != 0) {
    _CFArrayAppendValue(lVar6,*(undefined8 *)_kATSFontTestUsabilityTest);
    _CFArrayAppendValue(lVar6,*(undefined8 *)puVar3,extraout_RDX,*(undefined8 *)puVar3);
    _CFArrayAppendValue(lVar6,*(undefined8 *)puVar1,extraout_RDX_00,*(undefined8 *)puVar1);
    _CFArrayAppendValue(lVar6,*(undefined8 *)puVar2,extraout_RDX_01,*(undefined8 *)puVar2);
    _CFArrayAppendValue(lVar6,*(undefined8 *)puVar4,extraout_RDX_02,*(undefined8 *)puVar4);
    uVar7 = _ATSFontTestCopyAvailableTests(lVar6);
    local_430 = 0;
    while (lVar8 = _CFArrayGetCount(uVar7), puVar2 = _kATSFontTestIdentifierKey,
          puVar1 = _kATSFontTestDescriptionKey, local_430 < lVar8) {
      uVar9 = _CFArrayGetValueAtIndex(uVar7,local_430);
      uVar10 = _CFDictionaryGetValue(uVar9,*(undefined8 *)puVar2,*(undefined8 *)puVar2);
      uVar9 = _CFDictionaryGetValue(uVar9,*(undefined8 *)puVar1,*(undefined8 *)puVar1);
      cVar5 = _CFStringGetCString(uVar10,local_418,0x400,0x8000100);
      if (cVar5 != '\0') {
        uVar10 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(__ZSt4cout,local_418);
        __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar10,"\n");
      }
      cVar5 = _CFStringGetCString(uVar9,local_418,0x400,0x8000100);
      if (cVar5 != '\0') {
        uVar9 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(__ZSt4cout,"\t");
        uVar9 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar9,local_418);
        __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar9,"\n");
      }
      local_430 = local_430 + 1;
    }
    _CFRelease(uVar7);
    _CFRelease(lVar6);
  }
  if (*(long *)___stack_chk_guard != local_10) {
                    // WARNING: Subroutine does not return
    ___stack_chk_fail();
  }
  return;
}



// DoProcess(char const*)

ulong DoProcess(char *param_1)

{
  undefined *puVar1;
  undefined *puVar2;
  undefined *puVar3;
  undefined *puVar4;
  undefined *puVar5;
  int iVar6;
  undefined8 uVar7;
  long lVar8;
  size_t sVar9;
  char *pcVar10;
  __CFArray *p_Var11;
  long lVar12;
  long lVar13;
  long lVar14;
  __CFDictionary *p_Var15;
  __CFString *p_Var16;
  undefined8 extraout_RDX;
  undefined8 extraout_RDX_00;
  undefined8 extraout_RDX_01;
  undefined8 extraout_RDX_02;
  long local_e8;
  undefined8 local_68;
  undefined8 local_60;
  undefined8 local_58;
  undefined8 local_50;
  undefined8 local_48;
  __CFDictionary *local_38;
  __CFArray *local_30;
  undefined *local_28;
  uint local_1c;
  char *local_18;
  uint local_c;
  
  local_1c = 0;
  local_18 = param_1;
  if (_gVerbose != '\0') {
    local_18 = param_1;
    uVar7 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(__ZSt4cerr,"Processing ");
    uVar7 = __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar7,local_18);
    __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(uVar7,"\n");
  }
  puVar3 = _kCFTypeDictionaryValueCallBacks;
  puVar2 = _kCFTypeDictionaryKeyCallBacks;
  puVar1 = _kCFAllocatorDefault;
  _strcpy(&_gDirectoryName,local_18);
  local_28 = (undefined *)PassSlashes(&_gDirectoryName);
  *local_28 = 0;
  local_30 = (__CFArray *)0x0;
  local_38 = (__CFDictionary *)_CFDictionaryCreateMutable(*(undefined8 *)puVar1,4,puVar2,puVar3);
  if (local_38 == (__CFDictionary *)0x0) {
    local_c = 0xffffffff;
  }
  else {
    local_68 = *(undefined8 *)_kATSFontTestSeverityFatalError;
    local_60 = *(undefined8 *)_kATSFontTestSeverityMajorError;
    local_58 = *(undefined8 *)_kATSFontTestSeverityMinorError;
    local_50 = *(undefined8 *)_kATSFontTestSeverityTechnicalError;
    local_48 = *(undefined8 *)_kATSFontTestSeverityInformation;
    lVar8 = _CFArrayCreate(*(undefined8 *)_kCFAllocatorDefault,&local_68,5);
    if (lVar8 != 0) {
      _CFDictionaryAddValue(local_38,*(undefined8 *)_kATSFontTestSeverityKey,lVar8);
      _CFRelease(lVar8);
    }
    if ((_gFullReport == '\0') && (_gTableReport == '\0')) {
      if (_gSummaryReport != '\0') {
        if (_gVerbose != '\0') {
          __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
                    (__ZSt4cerr,"Generate a summary report\n");
        }
        _CFDictionaryAddValue
                  (local_38,*(undefined8 *)_kATSFontTestCreateReportTypeKey,
                   *(undefined8 *)_kATSFontTestReportTypeSummary);
      }
    }
    else {
      if (_gVerbose != '\0') {
        __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
                  (__ZSt4cerr,"Generate a full report\n");
      }
      _CFDictionaryAddValue
                (local_38,*(undefined8 *)_kATSFontTestCreateReportTypeKey,
                 *(undefined8 *)_kATSFontTestReportTypeFull);
    }
    if (_gForceExecution != '\0') {
      if (_gVerbose != '\0') {
        __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(__ZSt4cerr,"Force execution\n");
      }
      _CFDictionaryAddValue
                (local_38,*(undefined8 *)_kATSFontTestForceTestExecutionKey,
                 *(undefined8 *)_kCFBooleanTrue);
    }
    if (_gUseSandbox != '\0') {
      if (_gVerbose != '\0') {
        __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(__ZSt4cerr,"Use the sandbox\n");
      }
      _CFDictionaryAddValue
                (local_38,*(undefined8 *)_kATSFontTestUseSandboxOptionKey,
                 *(undefined8 *)_kCFBooleanTrue);
    }
    sVar9 = _strlen(&_gExcludeList);
    if ((sVar9 != 0) &&
       (lVar8 = _CFStringCreateWithCString
                          (*(undefined8 *)_kCFAllocatorDefault,&_gExcludeList,0x8000100), lVar8 == 0
       )) {
      local_30 = (__CFArray *)
                 _CFStringCreateArrayBySeparatingStrings
                           (*(undefined8 *)_kCFAllocatorDefault,0,&cf__);
      _CFRelease(0);
    }
    sVar9 = _strlen(&_gTestList);
    if (sVar9 != 0) {
      iVar6 = _strcmp(&_gTestList,"all");
      if (iVar6 == 0) {
        lVar8 = _CFArrayCreateMutable(*(undefined8 *)_kCFAllocatorDefault,6,_kCFTypeArrayCallBacks);
        puVar5 = _kATSFontTestUsabilityTest;
        puVar4 = _kATSFontTestUnexpectedValueTest;
        puVar3 = _kATSFontTestStructureTest;
        puVar2 = _kATSFontTestSpecificationTest;
        puVar1 = _kATSFontTestConsistencyTest;
        if (lVar8 != 0) {
          _CFArrayAppendValue(lVar8,*(undefined8 *)_kATSFontTestCoreTest);
          _CFArrayAppendValue(lVar8,*(undefined8 *)puVar5,extraout_RDX,*(undefined8 *)puVar5);
          _CFArrayAppendValue(lVar8,*(undefined8 *)puVar3,extraout_RDX_00,*(undefined8 *)puVar3);
          _CFArrayAppendValue(lVar8,*(undefined8 *)puVar1,extraout_RDX_01,*(undefined8 *)puVar1);
          _CFArrayAppendValue(lVar8,*(undefined8 *)puVar2,extraout_RDX_02,*(undefined8 *)puVar2);
          _CFArrayAppendValue(lVar8,*(undefined8 *)puVar4);
          p_Var11 = (__CFArray *)_ATSFontTestCopyAvailableTests(lVar8);
          if (p_Var11 != (__CFArray *)0x0) {
            if (local_30 != (__CFArray *)0x0) {
              AddTestListToParameters(local_38,p_Var11,local_30);
            }
            _CFRelease(p_Var11);
          }
          _CFRelease(lVar8);
        }
      }
      else {
        iVar6 = _strcmp(&_gTestList,"core");
        if (iVar6 == 0) {
          lVar8 = _CFArrayCreateMutable
                            (*(undefined8 *)_kCFAllocatorDefault,1,_kCFTypeArrayCallBacks);
          if (lVar8 != 0) {
            _CFArrayAppendValue(lVar8,*(undefined8 *)_kATSFontTestCoreTest);
            p_Var11 = (__CFArray *)_ATSFontTestCopyAvailableTests(lVar8);
            if (p_Var11 != (__CFArray *)0x0) {
              if (local_30 != (__CFArray *)0x0) {
                AddTestListToParameters(local_38,p_Var11,local_30);
              }
              _CFRelease(p_Var11);
            }
            _CFRelease(lVar8);
          }
        }
        else {
          iVar6 = _strcmp(&_gTestList,"default");
          if (iVar6 == 0) {
            p_Var11 = (__CFArray *)_ATSFontTestCopyAvailableTests(0);
            if (local_30 != (__CFArray *)0x0) {
              AddTestListToParameters(local_38,p_Var11,local_30);
            }
            _CFRelease(p_Var11);
          }
          else {
            pcVar10 = _strstr(&_gTestList,".");
            if (pcVar10 == (char *)0x0) {
              lVar8 = _CFStringCreateWithCString
                                (*(undefined8 *)_kCFAllocatorDefault,&_gTestList,0x8000100);
              if (lVar8 != 0) {
                lVar12 = _CFStringCreateArrayBySeparatingStrings
                                   (*(undefined8 *)_kCFAllocatorDefault,lVar8,&cf__);
                if (lVar12 != 0) {
                  p_Var11 = (__CFArray *)_ATSFontTestCopyAvailableTests(lVar12);
                  if (p_Var11 != (__CFArray *)0x0) {
                    if (local_30 != (__CFArray *)0x0) {
                      AddTestListToParameters(local_38,p_Var11,local_30);
                    }
                    _CFRelease(p_Var11);
                  }
                  _CFRelease(lVar12);
                }
                _CFRelease(lVar8);
              }
            }
            else {
              p_Var11 = (__CFArray *)GenerateGenerateTestIDArray(&_gTestList);
              AddTestListToParameters(local_38,p_Var11,local_30);
              if (local_30 != (__CFArray *)0x0) {
                _CFRelease(p_Var11);
              }
            }
          }
        }
      }
    }
    if (local_30 != (__CFArray *)0x0) {
      _CFRelease(local_30);
    }
    lVar8 = _CFStringCreateWithFileSystemRepresentation
                      (*(undefined8 *)_kCFAllocatorDefault,local_18);
    if (lVar8 != 0) {
      lVar12 = _CFURLCreateWithFileSystemPath(*(undefined8 *)_kCFAllocatorDefault,lVar8,0);
      if (lVar12 != 0) {
        lVar13 = _ATSFontTestCreateReport(lVar12,local_38);
        if (lVar13 != 0) {
          if (_gTableReport == '\0') {
            p_Var16 = (__CFString *)_DictionaryToString();
            OutputCFString(0,p_Var16);
            _CFRelease(p_Var16);
          }
          else {
            uVar7 = _CFDictionaryGetValue(lVar13,*(undefined8 *)_kATSFontTestFontsTestedKey);
            local_e8 = 0;
            while (lVar14 = _CFArrayGetCount(uVar7), local_e8 < lVar14) {
              p_Var15 = (__CFDictionary *)_CFArrayGetValueAtIndex(uVar7,local_e8);
              DumpResultsForFont(p_Var15);
              local_e8 = local_e8 + 1;
            }
          }
          _CFRelease(lVar13);
        }
        _CFRelease(lVar12);
      }
      _CFRelease(lVar8);
    }
    _CFRelease(local_38);
    local_c = local_1c;
  }
  return (ulong)local_c;
}



// AddTestListToParameters(__CFDictionary*, __CFArray const*, __CFArray const*)

void AddTestListToParameters(__CFDictionary *param_1,__CFArray *param_2,__CFArray *param_3)

{
  undefined *puVar1;
  undefined *puVar2;
  long lVar3;
  ulong uVar4;
  undefined8 uVar5;
  undefined8 uVar6;
  undefined8 uVar7;
  long lVar8;
  bool bVar9;
  bool bVar10;
  ulong local_80;
  ulong local_60;
  
  puVar2 = _kCFTypeArrayCallBacks;
  puVar1 = _kCFAllocatorDefault;
  if (param_3 == (__CFArray *)0x0) {
    _CFDictionaryAddValue(param_1,*(undefined8 *)_kATSFontTestArrayKey,param_2,param_2);
  }
  else {
    _CFArrayGetCount(param_3);
    lVar3 = _CFArrayCreateMutable(*(undefined8 *)puVar1,0,puVar2);
    if (lVar3 != 0) {
      local_60 = 0;
      while( true ) {
        uVar4 = _CFArrayGetCount(param_2);
        puVar1 = _kATSFontTestIdentifierKey;
        if (uVar4 <= local_60) break;
        uVar5 = _CFArrayGetValueAtIndex(param_2,local_60);
        uVar6 = _CFDictionaryGetValue(uVar5,*(undefined8 *)puVar1);
        bVar10 = false;
        local_80 = 0;
        while( true ) {
          bVar9 = false;
          if (!bVar10) {
            uVar4 = _CFArrayGetCount(param_3);
            bVar9 = local_80 < uVar4;
          }
          if (!bVar9) break;
          uVar7 = _CFArrayGetValueAtIndex(param_3,local_80);
          lVar8 = _CFStringCompare(uVar7,uVar6,0);
          bVar10 = lVar8 == 0;
          local_80 = local_80 + 1;
        }
        if (!bVar10) {
          _CFArrayAppendValue(lVar3,uVar5);
        }
        local_60 = local_60 + 1;
      }
      _CFDictionaryAddValue(param_1,*(undefined8 *)_kATSFontTestArrayKey,lVar3,lVar3);
      _CFRelease(lVar3);
    }
  }
  return;
}



// WARNING: Restarted to delay deadcode elimination for space: stack
// GenerateGenerateTestIDArray(char const*)

long GenerateGenerateTestIDArray(char *param_1)

{
  undefined *puVar1;
  undefined *puVar2;
  undefined *puVar3;
  undefined *puVar4;
  char cVar5;
  long lVar6;
  long lVar7;
  long lVar8;
  long lVar9;
  undefined8 uVar10;
  undefined8 extraout_RDX;
  undefined8 extraout_RDX_00;
  undefined8 extraout_RDX_01;
  undefined8 extraout_RDX_02;
  undefined auVar11 [16];
  undefined8 local_98;
  undefined8 local_90;
  long local_68;
  long local_30;
  
  local_30 = _CFArrayCreateMutable(*(undefined8 *)_kCFAllocatorDefault,0,_kCFTypeArrayCallBacks);
  if (local_30 == 0) {
    local_30 = 0;
  }
  else {
    lVar6 = _CFArrayCreateMutable(*(undefined8 *)_kCFAllocatorDefault,5,_kCFTypeArrayCallBacks);
    puVar4 = _kATSFontTestUnexpectedValueTest;
    puVar3 = _kATSFontTestStructureTest;
    puVar2 = _kATSFontTestSpecificationTest;
    puVar1 = _kATSFontTestConsistencyTest;
    if (lVar6 == 0) {
      _CFRelease(local_30);
      local_30 = 0;
    }
    else {
      _CFArrayAppendValue(lVar6,*(undefined8 *)_kATSFontTestUsabilityTest);
      _CFArrayAppendValue(lVar6,*(undefined8 *)puVar3,extraout_RDX,*(undefined8 *)puVar3);
      _CFArrayAppendValue(lVar6,*(undefined8 *)puVar1,extraout_RDX_00,*(undefined8 *)puVar1);
      _CFArrayAppendValue(lVar6,*(undefined8 *)puVar2,extraout_RDX_01,*(undefined8 *)puVar2);
      _CFArrayAppendValue(lVar6,*(undefined8 *)puVar4,extraout_RDX_02,*(undefined8 *)puVar4);
      lVar6 = _ATSFontTestCopyAvailableTests(lVar6);
      if (lVar6 != 0) {
        lVar7 = _CFStringCreateWithCString
                          (*(undefined8 *)_kCFAllocatorDefault,&_gTestList,0x8000100);
        if (lVar7 != 0) {
          lVar8 = _CFStringCreateArrayBySeparatingStrings
                            (*(undefined8 *)_kCFAllocatorDefault,lVar7,&cf__);
          if (lVar8 != 0) {
            _CFArrayGetCount(lVar8);
            local_68 = 0;
            while (lVar9 = _CFArrayGetCount(lVar6), puVar1 = _kATSFontTestIdentifierKey,
                  local_68 < lVar9) {
              auVar11 = _CFArrayGetValueAtIndex(lVar6,local_68);
              uVar10 = _CFDictionaryGetValue
                                 (SUB168(auVar11,0),*(undefined8 *)puVar1,SUB168(auVar11 >> 0x40,0),
                                  *(undefined8 *)puVar1);
              cVar5 = _CFArrayContainsValue(lVar8,local_98,local_90,uVar10);
              if (cVar5 != '\0') {
                _CFArrayAppendValue(local_30,SUB168(auVar11,0));
              }
              local_68 = local_68 + 1;
            }
            _CFRelease(lVar8);
          }
          _CFRelease(lVar7);
        }
        _CFRelease(lVar6);
      }
    }
  }
  return local_30;
}



// DumpResultsForFont(__CFDictionary const*)

void DumpResultsForFont(__CFDictionary *param_1)

{
  undefined *puVar1;
  undefined *puVar2;
  undefined *puVar3;
  undefined *puVar4;
  __CFString *p_Var5;
  undefined8 uVar6;
  long lVar7;
  __CFDictionary *p_Var8;
  long lVar9;
  undefined8 extraout_RDX;
  undefined auVar10 [16];
  long local_40;
  long local_28;
  
  puVar3 = _kATSFontTestFontPostScriptNameKey;
  puVar2 = _kATSFontTestFontIdentifierKey;
  puVar1 = _kATSFontTestArrayKey;
  p_Var5 = (__CFString *)_CFDictionaryGetValue(param_1,*(undefined8 *)_kATSFontTestFontNameKey);
  OutputCFString(0,p_Var5);
  p_Var5 = (__CFString *)_CFDictionaryGetValue(param_1,*(undefined8 *)puVar3,*(undefined8 *)puVar3);
  OutputCFString(1,p_Var5);
  p_Var5 = (__CFString *)_CFDictionaryGetValue(param_1,*(undefined8 *)puVar2,*(undefined8 *)puVar2);
  OutputCFString(1,p_Var5);
  p_Var5 = (__CFString *)_CFDictionaryGetValue(param_1,&cf_kATSFontTestFontTypeKey);
  OutputCFString(1,p_Var5);
  OutputResults(1,param_1);
  uVar6 = _CFDictionaryGetValue(param_1,*(undefined8 *)puVar1,*(undefined8 *)puVar1);
  local_28 = 0;
  do {
    lVar7 = _CFArrayGetCount(uVar6);
    puVar4 = _kATSFontTestNameKey;
    puVar3 = _kATSFontTestMessagesKey;
    puVar2 = _kATSFontTestIdentifierKey;
    puVar1 = _kATSFontTestDescriptionKey;
    if (lVar7 <= local_28) {
      return;
    }
    p_Var8 = (__CFDictionary *)_CFArrayGetValueAtIndex(uVar6,local_28);
    p_Var5 = (__CFString *)_CFDictionaryGetValue(p_Var8,*(undefined8 *)puVar2,*(undefined8 *)puVar2)
    ;
    OutputCFString(1,p_Var5);
    p_Var5 = (__CFString *)_CFDictionaryGetValue(p_Var8,*(undefined8 *)puVar4,*(undefined8 *)puVar4)
    ;
    OutputCFString(2,p_Var5);
    p_Var5 = (__CFString *)_CFDictionaryGetValue(p_Var8,*(undefined8 *)puVar1,*(undefined8 *)puVar1)
    ;
    OutputCFString(2,p_Var5);
    OutputResults(2,p_Var8);
    lVar7 = _CFDictionaryGetValue(p_Var8,*(undefined8 *)puVar3,*(undefined8 *)puVar3);
    if (lVar7 == 0) {
LAB_100002b2e:
      _fprintf(_gOutput,"\t\t\t(No messages)\n");
    }
    else {
      lVar9 = _CFArrayGetCount(lVar7);
      if (lVar9 == 0) goto LAB_100002b2e;
      local_40 = 0;
      while( true ) {
        lVar9 = _CFArrayGetCount(lVar7);
        puVar2 = _kATSFontTestResultKey;
        puVar1 = _kATSFontTestMessageTextKey;
        if (lVar9 <= local_40) break;
        auVar10 = _CFArrayGetValueAtIndex(lVar7,local_40);
        p_Var5 = (__CFString *)
                 _CFDictionaryGetValue
                           (SUB168(auVar10,0),*(undefined8 *)puVar1,SUB168(auVar10 >> 0x40,0),
                            *(undefined8 *)puVar1);
        OutputCFString(3,p_Var5);
        p_Var5 = (__CFString *)
                 _CFDictionaryGetValue
                           (SUB168(auVar10,0),*(undefined8 *)puVar2,extraout_RDX,
                            *(undefined8 *)puVar2);
        OutputCFString(4,p_Var5);
        local_40 = local_40 + 1;
      }
    }
    local_28 = local_28 + 1;
  } while( true );
}



// OutputCFString(int, __CFString const*)

void OutputCFString(int param_1,__CFString *param_2)

{
  char cVar1;
  long lVar2;
  char *pcVar3;
  int local_c;
  
  if (param_2 != (__CFString *)0x0) {
    lVar2 = _CFStringGetLength(param_2);
    pcVar3 = (char *)__Znam(lVar2 * 4);
    lVar2 = _CFStringGetLength(param_2);
    cVar1 = _CFStringGetCString(param_2,pcVar3,lVar2 * 4,0x8000100);
    local_c = param_1;
    if (cVar1 == '\0') {
      __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc
                (__ZSt4cerr,"##### ERROR:  Could not get the results as a string!\n");
    }
    else {
      while (0 < local_c) {
        _fprintf(_gOutput,"\t");
        local_c = local_c + -1;
      }
      _fprintf(_gOutput,pcVar3);
      _fprintf(_gOutput,"\n");
    }
    if (pcVar3 != (char *)0x0) {
      __ZdaPv(pcVar3);
    }
  }
  return;
}



// WARNING: Restarted to delay deadcode elimination for space: stack
// OutputResults(int, __CFDictionary const*)

void OutputResults(int param_1,__CFDictionary *param_2)

{
  undefined *puVar1;
  char cVar2;
  long lVar3;
  undefined8 uVar4;
  long local_b8;
  undefined8 local_60;
  undefined8 local_58;
  int local_2c;
  
  if (param_2 == (__CFDictionary *)0x0) {
    local_b8 = 0;
    local_2c = param_1;
  }
  else {
    local_b8 = _CFDictionaryGetValue(param_2,*(undefined8 *)_kATSFontTestResultKey);
    local_2c = param_1;
  }
  while (0 < local_2c) {
    _fprintf(_gOutput,"\t");
    local_2c = local_2c + -1;
  }
  if ((local_b8 == 0) ||
     (lVar3 = _CFArrayGetCount(local_b8), puVar1 = _kATSFontTestSeverityFatalError, lVar3 < 1)) {
    _fprintf(_gOutput,"NA");
  }
  else {
    uVar4 = _CFArrayGetCount(local_b8);
    cVar2 = _CFArrayContainsValue(local_b8,local_60,local_58,*(undefined8 *)puVar1);
    if (cVar2 != '\0') {
      _fprintf(_gOutput,"Fatal ");
    }
    cVar2 = _CFArrayContainsValue(local_b8,0,uVar4,*(undefined8 *)_kATSFontTestSeverityMajorError);
    if (cVar2 != '\0') {
      _fprintf(_gOutput,"Major ");
    }
    cVar2 = _CFArrayContainsValue(local_b8,0,uVar4,*(undefined8 *)_kATSFontTestSeverityMinorError);
    if (cVar2 != '\0') {
      _fprintf(_gOutput,"Minor ");
    }
    cVar2 = _CFArrayContainsValue
                      (local_b8,0,uVar4,*(undefined8 *)_kATSFontTestSeverityTechnicalError);
    if (cVar2 != '\0') {
      _fprintf(_gOutput,"Technical ");
    }
    cVar2 = _CFArrayContainsValue(local_b8,0,uVar4,*(undefined8 *)_kATSFontTestSeverityInformation);
    if (cVar2 != '\0') {
      _fprintf(_gOutput,"Info ");
    }
    cVar2 = _CFArrayContainsValue(local_b8,0,uVar4,*(undefined8 *)_kATSFontTestSeverityNonFontError)
    ;
    if (cVar2 != '\0') {
      _fprintf(_gOutput,"Non-font ");
    }
  }
  _fprintf(_gOutput,"\n");
  return;
}



void ___cxx_global_var_init(void)

{
  undefined *puVar1;
  
  puVar1 = __ZNSt8ios_base4InitD1Ev;
  __ZNSt8ios_base4InitC1Ev(&__ioinit);
  ___cxa_atexit(puVar1,&__ioinit,0x100000000);
  return;
}



// WARNING: Globals starting with '_' overlap smaller symbols at the same address

void ___cxx_global_var_init1(void)

{
  __gInput = *(undefined8 *)___stdinp;
  return;
}



void ___cxx_global_var_init2(void)

{
  _gOutput = *(undefined8 *)___stdoutp;
  return;
}



void __GLOBAL__I_a(void)

{
  ___cxx_global_var_init();
  ___cxx_global_var_init1();
  ___cxx_global_var_init2();
  return;
}



void _StartUp(void)

{
  undefined8 uVar1;
  
  uVar1 = _objc_msgSend_fixup(&_OBJC_CLASS___NSAutoreleasePool,&alloc_message_ref,
                              _objc_msgSend_fixup,&_OBJC_CLASS___NSAutoreleasePool);
  uVar1 = _objc_msgSend(uVar1,"init");
  _objc_assign_global(uVar1,&_gPool);
  return;
}



void _ShutDown(undefined8 uParm1,undefined8 uParm2,undefined8 uParm3)

{
  _objc_msgSend_fixup(_gPool,&release_message_ref,uParm3,_objc_msgSend_fixup);
  return;
}



undefined8 _DictionaryToString(undefined8 uParm1)

{
  char cVar1;
  undefined8 uVar2;
  undefined auVar3 [16];
  undefined local_28 [8];
  undefined8 local_20;
  undefined8 local_18;
  undefined8 local_10;
  
  local_18 = 0;
  local_20 = uParm1;
  local_10 = uParm1;
  cVar1 = _objc_msgSend(&_OBJC_CLASS___NSPropertyListSerialization,"propertyList:isValidForFormat:",
                        uParm1,100);
  if (cVar1 == '\0') {
    _NSLog(&cf_Cannotmaketheplist_);
  }
  else {
    auVar3 = _objc_msgSend(&_OBJC_CLASS___NSPropertyListSerialization,
                           "dataFromPropertyList:format:errorDescription:",local_20,100,local_28);
    uVar2 = _objc_msgSend_fixup(&_OBJC_CLASS___NSString,&alloc_message_ref,SUB168(auVar3 >> 0x40,0),
                                _objc_msgSend_fixup);
    auVar3 = _objc_msgSend(uVar2,"initWithData:encoding:",SUB168(auVar3,0),4);
    local_18 = SUB168(auVar3,0);
    _objc_msgSend_fixup(local_18,&release_message_ref,SUB168(auVar3 >> 0x40,0),_objc_msgSend_fixup);
    _CFRetain(local_18);
  }
  return local_18;
}



void _ATSFontTestCopyAvailableTests(void)

{
                    // WARNING: Could not recover jumptable at 0x00010000337a. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_ATSFontTestCopyAvailableTests)();
  return;
}



void _ATSFontTestCreateReport(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003380. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_ATSFontTestCreateReport)();
  return;
}



void _CFArrayAppendValue(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003386. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFArrayAppendValue)();
  return;
}



void _CFArrayContainsValue(void)

{
                    // WARNING: Could not recover jumptable at 0x00010000338c. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFArrayContainsValue)();
  return;
}



void _CFArrayCreate(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003392. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFArrayCreate)();
  return;
}



void _CFArrayCreateMutable(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003398. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFArrayCreateMutable)();
  return;
}



void _CFArrayGetCount(void)

{
                    // WARNING: Could not recover jumptable at 0x00010000339e. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFArrayGetCount)();
  return;
}



void _CFArrayGetValueAtIndex(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033a4. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFArrayGetValueAtIndex)();
  return;
}



void _CFDictionaryAddValue(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033aa. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFDictionaryAddValue)();
  return;
}



void _CFDictionaryCreateMutable(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033b0. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFDictionaryCreateMutable)();
  return;
}



void _CFDictionaryGetValue(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033b6. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFDictionaryGetValue)();
  return;
}



void _CFRelease(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033bc. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFRelease)();
  return;
}



void _CFRetain(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033c2. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFRetain)();
  return;
}



void _CFStringCompare(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033c8. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFStringCompare)();
  return;
}



void _CFStringCreateArrayBySeparatingStrings(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033ce. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFStringCreateArrayBySeparatingStrings)();
  return;
}



void _CFStringCreateWithCString(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033d4. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFStringCreateWithCString)();
  return;
}



void _CFStringCreateWithFileSystemRepresentation(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033da. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFStringCreateWithFileSystemRepresentation)();
  return;
}



void _CFStringGetCString(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033e0. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFStringGetCString)();
  return;
}



void _CFStringGetLength(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033e6. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFStringGetLength)();
  return;
}



void _CFURLCreateWithFileSystemPath(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033ec. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_CFURLCreateWithFileSystemPath)();
  return;
}



void _NSLog(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033f2. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_NSLog)();
  return;
}



void __ZNSolsEi(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033f8. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)__ZNSolsEi)();
  return;
}



void __ZNSt8ios_base4InitC1Ev(void)

{
                    // WARNING: Could not recover jumptable at 0x0001000033fe. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)__ZNSt8ios_base4InitC1Ev)();
  return;
}



void __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003404. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)__ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc)();
  return;
}



void __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(void)

{
                    // WARNING: Could not recover jumptable at 0x00010000340a. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)__ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c)();
  return;
}



void __ZdaPv(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003410. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)__ZdaPv)();
  return;
}



void __Znam(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003416. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)__Znam)();
  return;
}



void ___cxa_atexit(void)

{
                    // WARNING: Could not recover jumptable at 0x00010000341c. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)___cxa_atexit)();
  return;
}



void ___stack_chk_fail(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003422. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)___stack_chk_fail)();
  return;
}



// WARNING: Unknown calling convention yet parameter storage is locked

void _exit(int param_1)

{
                    // WARNING: Could not recover jumptable at 0x000100003428. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_exit)();
  return;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _fclose(FILE *param_1)

{
  int iVar1;
  
                    // WARNING: Could not recover jumptable at 0x00010000342e. Too many branches
                    // WARNING: Treating indirect jump as call
  iVar1 = (*(code *)_fclose)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

FILE * _fopen(char *param_1,char *param_2)

{
  FILE *pFVar1;
  
                    // WARNING: Could not recover jumptable at 0x000100003434. Too many branches
                    // WARNING: Treating indirect jump as call
  pFVar1 = (FILE *)(*(code *)_fopen)();
  return pFVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _fprintf(FILE *param_1,char *param_2,...)

{
  int iVar1;
  
                    // WARNING: Could not recover jumptable at 0x00010000343a. Too many branches
                    // WARNING: Treating indirect jump as call
  iVar1 = (*(code *)_fprintf)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _getopt(int param_1,char *param_2,char *param_3)

{
  int iVar1;
  
                    // WARNING: Could not recover jumptable at 0x000100003440. Too many branches
                    // WARNING: Treating indirect jump as call
  iVar1 = (*(code *)_getopt)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

pid_t _getpid(void)

{
  pid_t pVar1;
  
                    // WARNING: Could not recover jumptable at 0x000100003446. Too many branches
                    // WARNING: Treating indirect jump as call
  pVar1 = (*(code *)_getpid)();
  return pVar1;
}



void _objc_assign_global(void)

{
                    // WARNING: Could not recover jumptable at 0x00010000344c. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_objc_assign_global)();
  return;
}



void _objc_msgSend(void)

{
                    // WARNING: Could not recover jumptable at 0x000100003452. Too many branches
                    // WARNING: Treating indirect jump as call
  (*(code *)_objc_msgSend)();
  return;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _sprintf(char *param_1,char *param_2,...)

{
  int iVar1;
  
                    // WARNING: Could not recover jumptable at 0x000100003458. Too many branches
                    // WARNING: Treating indirect jump as call
  iVar1 = (*(code *)_sprintf)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _strcmp(char *param_1,char *param_2)

{
  int iVar1;
  
                    // WARNING: Could not recover jumptable at 0x00010000345e. Too many branches
                    // WARNING: Treating indirect jump as call
  iVar1 = (*(code *)_strcmp)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

char * _strcpy(char *param_1,char *param_2)

{
  char *pcVar1;
  
                    // WARNING: Could not recover jumptable at 0x000100003464. Too many branches
                    // WARNING: Treating indirect jump as call
  pcVar1 = (char *)(*(code *)_strcpy)();
  return pcVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

size_t _strlen(char *param_1)

{
  size_t sVar1;
  
                    // WARNING: Could not recover jumptable at 0x00010000346a. Too many branches
                    // WARNING: Treating indirect jump as call
  sVar1 = (*(code *)_strlen)();
  return sVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

char * _strstr(char *param_1,char *param_2)

{
  char *pcVar1;
  
                    // WARNING: Could not recover jumptable at 0x000100003470. Too many branches
                    // WARNING: Treating indirect jump as call
  pcVar1 = (char *)(*(code *)_strstr)();
  return pcVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _system(char *param_1)

{
  int iVar1;
  
                    // WARNING: Could not recover jumptable at 0x000100003476. Too many branches
                    // WARNING: Treating indirect jump as call
  iVar1 = (*(code *)_system)();
  return iVar1;
}



void _ATSFontTestCopyAvailableTests(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _ATSFontTestCreateReport(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFArrayAppendValue(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFArrayContainsValue(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFArrayCreate(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFArrayCreateMutable(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFArrayGetCount(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFArrayGetValueAtIndex(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFDictionaryAddValue(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFDictionaryCreateMutable(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFDictionaryGetValue(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFRelease(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFRetain(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFStringCompare(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFStringCreateArrayBySeparatingStrings(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFStringCreateWithCString(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFStringCreateWithFileSystemRepresentation(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFStringGetCString(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFStringGetLength(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _CFURLCreateWithFileSystemPath(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _NSLog(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void __ZNSolsEi(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void __ZNSt8ios_base4InitC1Ev(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void __ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void ___cxa_atexit(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void ___stack_chk_fail(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



// WARNING: Unknown calling convention yet parameter storage is locked

void _exit(int param_1)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _fclose(FILE *param_1)

{
  int iVar1;
  
  iVar1 = (*(code *)PTR_dyld_stub_binder_100004028)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

FILE * _fopen(char *param_1,char *param_2)

{
  FILE *pFVar1;
  
  pFVar1 = (FILE *)(*(code *)PTR_dyld_stub_binder_100004028)();
  return pFVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _fprintf(FILE *param_1,char *param_2,...)

{
  int iVar1;
  
  iVar1 = (*(code *)PTR_dyld_stub_binder_100004028)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _getopt(int param_1,char *param_2,char *param_3)

{
  int iVar1;
  
  iVar1 = (*(code *)PTR_dyld_stub_binder_100004028)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

pid_t _getpid(void)

{
  pid_t pVar1;
  
  pVar1 = (*(code *)PTR_dyld_stub_binder_100004028)();
  return pVar1;
}



void _objc_assign_global(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



void _objc_msgSend(void)

{
  (*(code *)PTR_dyld_stub_binder_100004028)();
  return;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _sprintf(char *param_1,char *param_2,...)

{
  int iVar1;
  
  iVar1 = (*(code *)PTR_dyld_stub_binder_100004028)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _strcmp(char *param_1,char *param_2)

{
  int iVar1;
  
  iVar1 = (*(code *)PTR_dyld_stub_binder_100004028)();
  return iVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

char * _strcpy(char *param_1,char *param_2)

{
  char *pcVar1;
  
  pcVar1 = (char *)(*(code *)PTR_dyld_stub_binder_100004028)();
  return pcVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

size_t _strlen(char *param_1)

{
  size_t sVar1;
  
  sVar1 = (*(code *)PTR_dyld_stub_binder_100004028)();
  return sVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

char * _strstr(char *param_1,char *param_2)

{
  char *pcVar1;
  
  pcVar1 = (char *)(*(code *)PTR_dyld_stub_binder_100004028)();
  return pcVar1;
}



// WARNING: Unknown calling convention yet parameter storage is locked

int _system(char *param_1)

{
  int iVar1;
  
  iVar1 = (*(code *)PTR_dyld_stub_binder_100004028)();
  return iVar1;
}


